Bug 164593 - Sets may contain items user doesn't have permission to if permissions change
Sets may contain items user doesn't have permission to if permissions change
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn400
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Orazi
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-28 21:06 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 10:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2005-07-28 21:06:37 EDT
Right now, we ensure that users don't have items in sets they lack permissions
for by removing such items every time a set gets stored. If a user puts
something in a set _before_ they lose permission on that item, the item will
stay on the set until they modify the set or the set is cleared by an action.
Comment 1 David Lutterkort 2005-07-28 21:07:46 EDT
The simple fix is to run the set cleaner before loading a set with
RhnSetDecl.get; but that requires running 2 queries for every set load (the
cleaner and the actual load)
Comment 2 Brandon Perkins 2007-03-12 13:07:21 EDT
Move to Bugzilla Bug 218517: RHN 510 Hosted Triage Tracker.
Comment 3 Amanda Carter 2008-10-16 10:48:48 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.